angular.module('IDRMAGISOFT').controller('SelecTipTurnController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval', '$http'];
function InitController($scope, $state, $sessionStorage, servicios, $interval, $http) {
    

    $scope.lamadoT = function (tipo) {
        $sessionStorage.tipoSeleccionada = tipo;
        $scope.ValidarIrOpciones();
    }

    $scope.ValidarIrOpciones = function() {
        $http.get("app/model/Servidor.php?accion=ValidarTercerNivel")
            .then(function (response) {
                if(response.data.respuesta[0] == '0' || response.data.respuesta[0] == 0){
                    $scope.ValidarIrCedula();
                }else{
                    $state.go("Opciones");
                }
        });
    }
    
    $scope.ValidarIrCedula = function() {
        $http.get("app/model/Servidor.php?accion=PermisoCedula")
            .then(function (response) {
                if(response.data.respuesta[0] == '0' || response.data.respuesta[0] == 0){
                    $state.go("Sercivios");
                }else{
                    $state.go("Cedula");
                }
            });
    }

}